{
    "class": "Workflow",
    "label": "format-maf",
    "requirements": [
        {
            "class": "InlineJavascriptRequirement"
        },
        {
            "class": "MultipleInputFeatureRequirement"
        },
        {
            "class": "ScatterFeatureRequirement"
        },
        {
            "class": "StepInputExpressionRequirement"
        },
        {
            "class": "SubworkflowFeatureRequirement"
        }
    ],
    "inputs": [
        {
            "type": "File",
            "id": "#main/input_maf"
        }
    ],
    "steps": [
        {
            "in": [
                {
                    "source": "#main/extract_columns/extracted_file",
                    "id": "#main/add_two_columns/extracted_file"
                },
                {
                    "valueFrom": "${ return inputs.extracted_file.basename.replace(\".extracted.txt\", \".columns_added.txt\"); }",
                    "id": "#main/add_two_columns/output_filename"
                }
            ],
            "out": [
                "#main/add_two_columns/columns_added"
            ],
            "run": {
                "class": "CommandLineTool",
                "baseCommand": [
                    "sed",
                    "1s/$/\\tDNA_support\\tRNA_support/;2,$s/$/\\tyes\\tno/"
                ],
                "stdout": "$(inputs.output_filename)",
                "inputs": [
                    {
                        "type": "File",
                        "inputBinding": {
                            "position": 1
                        },
                        "id": "#main/add_two_columns/195a7479-b010-4a55-adf6-736cd4ec6c8f/extracted_file"
                    },
                    {
                        "type": "string",
                        "id": "#main/add_two_columns/195a7479-b010-4a55-adf6-736cd4ec6c8f/output_filename"
                    }
                ],
                "outputs": [
                    {
                        "type": "File",
                        "id": "#main/add_two_columns/195a7479-b010-4a55-adf6-736cd4ec6c8f/columns_added",
                        "outputBinding": {
                            "glob": "$(inputs.output_filename)"
                        }
                    }
                ],
                "id": "#main/add_two_columns/195a7479-b010-4a55-adf6-736cd4ec6c8f"
            },
            "id": "#main/add_two_columns"
        },
        {
            "in": [
                {
                    "source": "#main/formatting_remove_comments/comment_removed",
                    "id": "#main/extract_columns/grepped_file"
                },
                {
                    "valueFrom": "${ return inputs.grepped_file.basename.replace(\".grepped.txt\", \".extracted.txt\"); }",
                    "id": "#main/extract_columns/output_filename"
                }
            ],
            "out": [
                "#main/extract_columns/extracted_file"
            ],
            "run": {
                "class": "CommandLineTool",
                "baseCommand": [],
                "arguments": [
                    "awk",
                    "-F",
                    "\t",
                    "NR==1 { for(i=1;i<=NF;i++){ f[$i]=i } print \"Hugo_Symbol\\\\tEntrez_Gene_Id\\\\tCenter\\\\tTumor_Sample_Barcode\\\\tFusion\\\\tMethod\\\\tFrame\" } NR>1 { print \\$(f[\"Hugo_Symbol\"])\"\\\\t\"\\$(f[\"Entrez_Gene_Id\"])\"\\\\t\"\\$(f[\"Center\"])\"\\\\t\"\\$(f[\"Tumor_Sample_Barcode\"])\"\\\\t\"\\$(f[\"Fusion\"])\"\\\\t\"\\$(f[\"Method\"])\"\\\\t\"\\$(f[\"Frame\"])}"
                ],
                "stdout": "$(inputs.output_filename)",
                "inputs": [
                    {
                        "type": "File",
                        "inputBinding": {
                            "position": 1
                        },
                        "id": "#main/extract_columns/eca4dab5-4389-4506-a895-88d14c430ccf/grepped_file"
                    },
                    {
                        "type": "string",
                        "id": "#main/extract_columns/eca4dab5-4389-4506-a895-88d14c430ccf/output_filename"
                    }
                ],
                "outputs": [
                    {
                        "type": "File",
                        "id": "#main/extract_columns/eca4dab5-4389-4506-a895-88d14c430ccf/extracted_file",
                        "outputBinding": {
                            "glob": "$(inputs.output_filename)"
                        }
                    }
                ],
                "id": "#main/extract_columns/eca4dab5-4389-4506-a895-88d14c430ccf"
            },
            "id": "#main/extract_columns"
        },
        {
            "in": [
                {
                    "source": "#main/input_maf",
                    "id": "#main/formatting_remove_comments/input_maf"
                },
                {
                    "valueFrom": "${ return inputs.input_maf.basename.replace(\".maf\", \".grepped.txt\"); }",
                    "id": "#main/formatting_remove_comments/output_filename"
                }
            ],
            "out": [
                "#main/formatting_remove_comments/comment_removed"
            ],
            "run": {
                "class": "CommandLineTool",
                "baseCommand": [
                    "grep",
                    "^[^#;]"
                ],
                "stdout": "$(inputs.output_filename)",
                "inputs": [
                    {
                        "type": "File",
                        "inputBinding": {
                            "position": 1
                        },
                        "id": "#main/formatting_remove_comments/8e4438e8-030d-4e73-9e26-4188e069985e/input_maf"
                    },
                    {
                        "type": "string",
                        "id": "#main/formatting_remove_comments/8e4438e8-030d-4e73-9e26-4188e069985e/output_filename"
                    }
                ],
                "outputs": [
                    {
                        "type": "File",
                        "id": "#main/formatting_remove_comments/8e4438e8-030d-4e73-9e26-4188e069985e/comment_removed",
                        "outputBinding": {
                            "glob": "$(inputs.output_filename)"
                        }
                    }
                ],
                "id": "#main/formatting_remove_comments/8e4438e8-030d-4e73-9e26-4188e069985e"
            },
            "id": "#main/formatting_remove_comments"
        },
        {
            "in": [
                {
                    "valueFrom": "${ return inputs.sed_file.basename.replace(\".columns_added.txt\", \".portal.txt\"); }",
                    "id": "#main/portal_format_output/output_filename"
                },
                {
                    "source": "#main/add_two_columns/columns_added",
                    "id": "#main/portal_format_output/sed_file"
                }
            ],
            "out": [
                "#main/portal_format_output/portal_formatted"
            ],
            "run": {
                "class": "CommandLineTool",
                "baseCommand": [],
                "arguments": [
                    "awk",
                    "-F",
                    "\t",
                    "NR==1 { for(i=1;i<=NF;i++){ f[$i]=i } } { print \\$(f[\"Hugo_Symbol\"])\"\\\\t\"\\$(f[\"Entrez_Gene_Id\"])\"\\\\t\"\\$(f[\"Center\"])\"\\\\t\"\\$(f[\"Tumor_Sample_Barcode\"])\"\\\\t\"\\$(f[\"Fusion\"])\"\\\\t\"\\$(f[\"DNA_support\"])\"\\\\t\"\\$(f[\"RNA_support\"])\"\\\\t\"\\$(f[\"Method\"])\"\\\\t\"\\$(f[\"Frame\"])}"
                ],
                "stdout": "$(inputs.output_filename)",
                "inputs": [
                    {
                        "type": "string",
                        "id": "#main/portal_format_output/268b8ef9-10c6-40ae-babf-0e98eeac2e3e/output_filename"
                    },
                    {
                        "type": "File",
                        "inputBinding": {
                            "position": 1
                        },
                        "id": "#main/portal_format_output/268b8ef9-10c6-40ae-babf-0e98eeac2e3e/sed_file"
                    }
                ],
                "outputs": [
                    {
                        "type": "File",
                        "id": "#main/portal_format_output/268b8ef9-10c6-40ae-babf-0e98eeac2e3e/portal_formatted",
                        "outputBinding": {
                            "glob": "$(inputs.output_filename)"
                        }
                    }
                ],
                "id": "#main/portal_format_output/268b8ef9-10c6-40ae-babf-0e98eeac2e3e"
            },
            "id": "#main/portal_format_output"
        }
    ],
    "id": "#main",
    "http://usefulinc.com/ns/doap#release": [
        {
            "class": "http://usefulinc.com/ns/doap#Version",
            "http://usefulinc.com/ns/doap#name": "module-3",
            "http://usefulinc.com/ns/doap#revision": "1.0.0"
        },
        {
            "class": "http://usefulinc.com/ns/doap#Version",
            "http://usefulinc.com/ns/doap#name": "cwl-wrapper",
            "http://usefulinc.com/ns/doap#revision": "1.0.0"
        }
    ],
    "http://purl.org/dc/terms/creator": [
        {
            "class": "http://xmlns.com/foaf/0.1/Organization",
            "http://xmlns.com/foaf/0.1/name": "Memorial Sloan Kettering Cancer Center",
            "http://xmlns.com/foaf/0.1/member": [
                {
                    "class": "http://xmlns.com/foaf/0.1/Person",
                    "http://xmlns.com/foaf/0.1/name": "Allan Bolipata",
                    "http://xmlns.com/foaf/0.1/mbox": "mailto:bolipatc@mskcc.org"
                }
            ]
        }
    ],
    "http://purl.org/dc/terms/contributor": [
        {
            "class": "http://xmlns.com/foaf/0.1/Organization",
            "http://xmlns.com/foaf/0.1/name": "Memorial Sloan Kettering Cancer Center",
            "http://xmlns.com/foaf/0.1/member": [
                {
                    "class": "http://xmlns.com/foaf/0.1/Person",
                    "http://xmlns.com/foaf/0.1/name": "Allan Bolipata",
                    "http://xmlns.com/foaf/0.1/mbox": "mailto:bolipatc@mskcc.org"
                },
                {
                    "class": "http://xmlns.com/foaf/0.1/Person",
                    "http://xmlns.com/foaf/0.1/name": "Nikhil Kumar",
                    "http://xmlns.com/foaf/0.1/mbox": "mailto:kumarn1@mskcc.org"
                },
                {
                    "class": "http://xmlns.com/foaf/0.1/Person",
                    "http://xmlns.com/foaf/0.1/name": "Christopher Harris",
                    "http://xmlns.com/foaf/0.1/mbox": "mailto:harrisc2@mskcc.org"
                }
            ]
        }
    ],
    "outputs": [
        {
            "type": "File",
            "outputSource": "#main/portal_format_output/portal_formatted",
            "id": "#main/portal_file"
        }
    ],
    "cwlVersion": "v1.0",
    "$schemas": [
        "http://usefulinc.com/ns/doap#",
        "http://xmlns.com/foaf/spec/20140114.rdf",
        "http://dublincore.org/2012/06/14/dcterms.rdf"
    ],
    "$namespaces": {
        "dct": "http://purl.org/dc/terms/",
        "foaf": "http://xmlns.com/foaf/0.1/",
        "doap": "http://usefulinc.com/ns/doap#"
    }
}
